/*
 * Copyright 2005 Tridium, Inc. All Rights Reserved.
 */

/**
 * AlarmConsole JavaScript support.
 *
 * @author     Blake M Puhal
 * @creation   29 Mar 05
 * @version    $Revision$ $Date$
 * @since      Baja 1.0
 * @private
 * @deprecated since Niagara 4.4 - will be removed in a future version
 */

////////////////////////////////////////////////////////////////
// AbstractManager
////////////////////////////////////////////////////////////////

var ac = new AlarmConsole();
function AlarmConsole()
{
////////////////////////////////////////////////////////////////
// Attributes 
////////////////////////////////////////////////////////////////
  
////////////////////////////////////////////////////////////////
// Selection
////////////////////////////////////////////////////////////////
  
  this.selectAll = function(event)
  {
    try
    {
      var checkbox = (!event.target) ? window.event.srcElement : event.target;
      var tr = checkbox.parentNode.parentNode.parentNode.nextSibling.childNodes[0];
      while (tr != null)
      {
        var rowcheckbox = tr.childNodes[0].childNodes[0];
        if (rowcheckbox != null)
        {
          rowcheckbox.checked = checkbox.checked;
        }
        tr = tr.nextSibling;
      }   
    }
    catch(err)
    {}
  }

////////////////////////////////////////////////////////////////
// Auto Refresh
////////////////////////////////////////////////////////////////

  this.refreshTimeouts = {};

  this.startAutoRefresh = function(scope, minutes, invokeCode)
  {
    var millis = minutes * 60 * 1000;
    var refresh = this.refresh(scope, invokeCode);
    if (this.refreshTimeouts[scope] == undefined)
    {
      this.refreshTimeouts[scope] = setTimeout(refresh, millis);
    }
  }

  this.stopAutoRefresh = function(scope)
  {
    clearTimeout(this.refreshTimeouts[scope]);
    this.refreshTimeouts[scope] = undefined;
  }

  this.refresh = function(scope, invokeCode)
  {
    var that = this;
    return function()
    {
      that.refreshTimeouts[scope] = undefined;
      eval(invokeCode);
    }
  }
}
