/**
 * @copyright 2017 Tridium, Inc. All Rights Reserved.
 * @author Gareth Johnson
 */

/**
 * @private
 * @module nmodule/alarm/rc/console/support/AlarmConsoleAudioSupport
 */

define([], function () {

  'use strict';

  var AlarmConsoleAudioSupport = function () {
  };

  /**
   * Plays a sound.
   * @throws {Error}
   */
  AlarmConsoleAudioSupport.prototype.play = function () {
    throw new Error('play() not implemented');
  };

  /**
   * Stops all sounds from playing.
   * @throws {Error}
   */
  AlarmConsoleAudioSupport.prototype.stopAll = function () {
    throw new Error('stopAll() not implemented');
  };

  return AlarmConsoleAudioSupport;
});
